#ifndef ER_PATHS_H
#define ER_PATHS_H

er_ret_t er_attach_filter_chain( char *key, GList *filterlist );
er_ret_t er_register_path(er_path_t *path, char *key );
void er_upd_asparray(void);
er_ret_t er_add_filter( er_path_t *pathptr, er_filter_t *filter );
er_ret_t er_modify_path(  er_path_t *newpath, char *key );
er_ret_t er_delete_filter( char *key, unsigned int filterid );
er_ret_t er_delete_path(char *key );
void er_print_paths(char **retbuf);

#endif /* ER_PATHS_H */
